<h2>Asistente</h2>
<mat-paginator [pageSizeOptions]="[5, 10, 15]" [pageSize]="5" [length]="totalNurses" (page)="nextPage($event)"></mat-paginator>
<table>
    <thead>
        <tr>
            <th>Nume asistentă</th>
            <th>Spital</th>
            <th>Departament</th>
            <th>Funcție</th>
            <th>Email</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor='let nurse of nurses'>
            <td>{{nurse.name}}</td>
            <td>{{nurse.department.hospital.name}}</td>
            <td>{{nurse.department.name}}</td>
            <td>{{nurse.position}}</td>
            <td>{{nurse.email}}</td>
        </tr>
    </tbody>
</table>

<button *ngIf="isUserAdmin()" class="btn btn-primary" (click)="goToCreateNurse()">Creare asistentă</button>
